classification
Title: test_logging leaves temp files
Type: behavior Stage: needs patch
Components: Tests Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: eric.araujo, vinay.sajip
Priority: normal Keywords: patch

Created on 2010-12-26 17:51 by eric.araujo, last changed 2010-12-28 17:37 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
test_logging-nits.diff eric.araujo, 2010-12-26 17:51
Messages (3)
msg124669 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-26 17:51
After a test_logging run in 3.2, I get stray files in $TMP.  I think some test is not using the right mixin or addCleanup or tearDown.

Less importantly, some recently added docstrings produce unwanted output on the console (the method name is clear enough, the redundant docstring is redundant); attached output turns them into comments.
msg124707 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2010-12-27 11:19
Fix checked into py3k (r87512).
msg124809 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-12-28 17:37
Great, thanks!
History
Date User Action Args
2010-12-28 17:37:35eric.araujosetmessages: + msg124809
2010-12-27 11:19:36vinay.sajipsetstatus: open -> closed

messages: + msg124707
resolution: fixed
2010-12-26 18:58:33georg.brandlsettitle: test_logging leaks temp files -> test_logging leaves temp files
2010-12-26 17:51:54eric.araujocreate